| Classes | Functions | DevRef | Qt API | Qtopia Documentation |

# Ir Class Reference

The Ir class implements basic support for sending objects over an infrared communication link. More...

`#include <ir.h>`

List of all member functions.

## Public Members

- Ir ( QObject * parent = 0, const char * name = 0 )
- void send ( const QString & fn, const QString & description, const QString & mimetype = QString::null )
- void send ( const DocLnk & doc, const QString & description )

## Signals

- void done ( Ir * ir )

## Static Public Members

- bool supported ()

## Detailed Description

The Ir class implements basic support for sending objects over an infrared communication link.

Both DocLnk objects and files can be sent to another device via the infrared link using the send() function. When the send has completed the done() signal is emitted.

The supported() function returns whether the device supports infrared communication or not.

## Member Function Documentation

### Ir::Ir ( QObject * parent = 0, const char * name = 0 )

Constructs an Ir object. The parent and name classes are the standard QObject parameters.

### void Ir::done ( Ir * ir )`[signal]`

This signal is emitted by ir, when the send comand has been processed.

### void Ir::send ( const QString & fn, const QString & description, const QString & mimetype = QString::null )

Sends the object in file fn over the infrared link. The description is used in the text shown to the user while sending is in progress. The optional mimetype parameter specifies the mimetype of the object. If this parameter is not set, it is determined by the the filename's suffix.

See also done().

### void Ir::send ( const DocLnk & doc, const QString & description )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Uses the DocLnk::file() and DocLnk::type() of doc.

See also done().

### bool Ir::supported ()`[static]`

Returns TRUE if the system supports infrared communication; otherwise returns FALSE.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.